Changeset 1668 for trunk


Ignore:
Timestamp:
Jun 13, 2011 12:32:06 PM (8 years ago)
Author:
stefan
Message:

use CoinFileIO::have*Support to decide whether compressed files can be read

Location:
trunk/Cbc
Files:
9 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/Makefile.in

    r1660 r1668  
    206206COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    207207COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
    208 COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
    209 COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
    210208COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    211209COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
  • trunk/Cbc/configure

    r1662 r1668  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11021102                          whether to deduce Makefile dependencies from package
    11031103                          linker flags (default: yes)
    1104   --enable-gnu-packages   compile with GNU packages (disabled by default)
    11051104  --enable-cbc-parallel   enables compilation of the SMP version of Cbc
    11061105
     
    59835982*-*-irix6*)
    59845983  # Find out which ABI we are using.
    5985   echo '#line 5985 "configure"' > conftest.$ac_ext
     5984  echo '#line 5984 "configure"' > conftest.$ac_ext
    59865985  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59875986  (eval $ac_compile) 2>&5
     
    71177116
    71187117# Provide some information about the compiler.
    7119 echo "$as_me:7119:" \
     7118echo "$as_me:7118:" \
    71207119     "checking for Fortran 77 compiler version" >&5
    71217120ac_compiler=`set X $ac_compile; echo $2`
     
    81848183   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81858184   -e 's:$: $lt_compiler_flag:'`
    8186    (eval echo "\"\$as_me:8186: $lt_compile\"" >&5)
     8185   (eval echo "\"\$as_me:8185: $lt_compile\"" >&5)
    81878186   (eval "$lt_compile" 2>conftest.err)
    81888187   ac_status=$?
    81898188   cat conftest.err >&5
    8190    echo "$as_me:8190: \$? = $ac_status" >&5
     8189   echo "$as_me:8189: \$? = $ac_status" >&5
    81918190   if (exit $ac_status) && test -s "$ac_outfile"; then
    81928191     # The compiler can only warn and ignore the option if not recognized
     
    84528451   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84538452   -e 's:$: $lt_compiler_flag:'`
    8454    (eval echo "\"\$as_me:8454: $lt_compile\"" >&5)
     8453   (eval echo "\"\$as_me:8453: $lt_compile\"" >&5)
    84558454   (eval "$lt_compile" 2>conftest.err)
    84568455   ac_status=$?
    84578456   cat conftest.err >&5
    8458    echo "$as_me:8458: \$? = $ac_status" >&5
     8457   echo "$as_me:8457: \$? = $ac_status" >&5
    84598458   if (exit $ac_status) && test -s "$ac_outfile"; then
    84608459     # The compiler can only warn and ignore the option if not recognized
     
    85568555   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85578556   -e 's:$: $lt_compiler_flag:'`
    8558    (eval echo "\"\$as_me:8558: $lt_compile\"" >&5)
     8557   (eval echo "\"\$as_me:8557: $lt_compile\"" >&5)
    85598558   (eval "$lt_compile" 2>out/conftest.err)
    85608559   ac_status=$?
    85618560   cat out/conftest.err >&5
    8562    echo "$as_me:8562: \$? = $ac_status" >&5
     8561   echo "$as_me:8561: \$? = $ac_status" >&5
    85638562   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85648563   then
     
    1090110900  lt_status=$lt_dlunknown
    1090210901  cat > conftest.$ac_ext <<EOF
    10903 #line 10903 "configure"
     10902#line 10902 "configure"
    1090410903#include "confdefs.h"
    1090510904
     
    1100111000  lt_status=$lt_dlunknown
    1100211001  cat > conftest.$ac_ext <<EOF
    11003 #line 11003 "configure"
     11002#line 11002 "configure"
    1100411003#include "confdefs.h"
    1100511004
     
    1334513344   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1334613345   -e 's:$: $lt_compiler_flag:'`
    13347    (eval echo "\"\$as_me:13347: $lt_compile\"" >&5)
     13346   (eval echo "\"\$as_me:13346: $lt_compile\"" >&5)
    1334813347   (eval "$lt_compile" 2>conftest.err)
    1334913348   ac_status=$?
    1335013349   cat conftest.err >&5
    13351    echo "$as_me:13351: \$? = $ac_status" >&5
     13350   echo "$as_me:13350: \$? = $ac_status" >&5
    1335213351   if (exit $ac_status) && test -s "$ac_outfile"; then
    1335313352     # The compiler can only warn and ignore the option if not recognized
     
    1344913448   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1345013449   -e 's:$: $lt_compiler_flag:'`
    13451    (eval echo "\"\$as_me:13451: $lt_compile\"" >&5)
     13450   (eval echo "\"\$as_me:13450: $lt_compile\"" >&5)
    1345213451   (eval "$lt_compile" 2>out/conftest.err)
    1345313452   ac_status=$?
    1345413453   cat out/conftest.err >&5
    13455    echo "$as_me:13455: \$? = $ac_status" >&5
     13454   echo "$as_me:13454: \$? = $ac_status" >&5
    1345613455   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1345713456   then
     
    1501915018   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1502015019   -e 's:$: $lt_compiler_flag:'`
    15021    (eval echo "\"\$as_me:15021: $lt_compile\"" >&5)
     15020   (eval echo "\"\$as_me:15020: $lt_compile\"" >&5)
    1502215021   (eval "$lt_compile" 2>conftest.err)
    1502315022   ac_status=$?
    1502415023   cat conftest.err >&5
    15025    echo "$as_me:15025: \$? = $ac_status" >&5
     15024   echo "$as_me:15024: \$? = $ac_status" >&5
    1502615025   if (exit $ac_status) && test -s "$ac_outfile"; then
    1502715026     # The compiler can only warn and ignore the option if not recognized
     
    1512315122   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1512415123   -e 's:$: $lt_compiler_flag:'`
    15125    (eval echo "\"\$as_me:15125: $lt_compile\"" >&5)
     15124   (eval echo "\"\$as_me:15124: $lt_compile\"" >&5)
    1512615125   (eval "$lt_compile" 2>out/conftest.err)
    1512715126   ac_status=$?
    1512815127   cat out/conftest.err >&5
    15129    echo "$as_me:15129: \$? = $ac_status" >&5
     15128   echo "$as_me:15128: \$? = $ac_status" >&5
    1513015129   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1513115130   then
     
    1733017329   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1733117330   -e 's:$: $lt_compiler_flag:'`
    17332    (eval echo "\"\$as_me:17332: $lt_compile\"" >&5)
     17331   (eval echo "\"\$as_me:17331: $lt_compile\"" >&5)
    1733317332   (eval "$lt_compile" 2>conftest.err)
    1733417333   ac_status=$?
    1733517334   cat conftest.err >&5
    17336    echo "$as_me:17336: \$? = $ac_status" >&5
     17335   echo "$as_me:17335: \$? = $ac_status" >&5
    1733717336   if (exit $ac_status) && test -s "$ac_outfile"; then
    1733817337     # The compiler can only warn and ignore the option if not recognized
     
    1759817597   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759917598   -e 's:$: $lt_compiler_flag:'`
    17600    (eval echo "\"\$as_me:17600: $lt_compile\"" >&5)
     17599   (eval echo "\"\$as_me:17599: $lt_compile\"" >&5)
    1760117600   (eval "$lt_compile" 2>conftest.err)
    1760217601   ac_status=$?
    1760317602   cat conftest.err >&5
    17604    echo "$as_me:17604: \$? = $ac_status" >&5
     17603   echo "$as_me:17603: \$? = $ac_status" >&5
    1760517604   if (exit $ac_status) && test -s "$ac_outfile"; then
    1760617605     # The compiler can only warn and ignore the option if not recognized
     
    1770217701   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1770317702   -e 's:$: $lt_compiler_flag:'`
    17704    (eval echo "\"\$as_me:17704: $lt_compile\"" >&5)
     17703   (eval echo "\"\$as_me:17703: $lt_compile\"" >&5)
    1770517704   (eval "$lt_compile" 2>out/conftest.err)
    1770617705   ac_status=$?
    1770717706   cat out/conftest.err >&5
    17708    echo "$as_me:17708: \$? = $ac_status" >&5
     17707   echo "$as_me:17707: \$? = $ac_status" >&5
    1770917708   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1771017709   then
     
    2478424783ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    2478524784ac_compiler_gnu=$ac_cv_c_compiler_gnu
    24786 
    24787 
    24788 
    24789 # And this is necessary if we're going to read gzip'd files. We just need the
    24790 # symbol; no need to link in the library.
    24791 
    24792 # Check whether --enable-gnu-packages or --disable-gnu-packages was given.
    24793 if test "${enable_gnu_packages+set}" = set; then
    24794   enableval="$enable_gnu_packages"
    24795   coin_enable_gnu=$enableval
    24796 else
    24797   coin_enable_gnu=no
    24798 fi;
    24799 
    24800 
    24801 
    24802 
    24803 
    24804 
    24805 
    24806 coin_has_zlib=no
    24807 if test $coin_enable_gnu = yes; then
    24808   #if test x"" = x; then
    24809 #  hdr="#include <zlib.h>"
    24810 #else
    24811 #  hdr=""
    24812 #fi
    24813 #AC_CHECK_HEADERS([zlib.h],[coin_has_zlib=yes],[],[$hdr])
    24814 
    24815 for ac_header in zlib.h
    24816 do
    24817 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    24818 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    24819   echo "$as_me:$LINENO: checking for $ac_header" >&5
    24820 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    24821 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    24822   echo $ECHO_N "(cached) $ECHO_C" >&6
    24823 fi
    24824 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    24825 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    24826 else
    24827   # Is the header compilable?
    24828 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    24829 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    24830 cat >conftest.$ac_ext <<_ACEOF
    24831 /* confdefs.h.  */
    24832 _ACEOF
    24833 cat confdefs.h >>conftest.$ac_ext
    24834 cat >>conftest.$ac_ext <<_ACEOF
    24835 /* end confdefs.h.  */
    24836 $ac_includes_default
    24837 #include <$ac_header>
    24838 _ACEOF
    24839 rm -f conftest.$ac_objext
    24840 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    24841   (eval $ac_compile) 2>conftest.er1
    24842   ac_status=$?
    24843   grep -v '^ *+' conftest.er1 >conftest.err
    24844   rm -f conftest.er1
    24845   cat conftest.err >&5
    24846   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    24847   (exit $ac_status); } &&
    24848          { ac_try='test -z "$ac_c_werror_flag"
    24849                          || test ! -s conftest.err'
    24850   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    24851   (eval $ac_try) 2>&5
    24852   ac_status=$?
    24853   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    24854   (exit $ac_status); }; } &&
    24855          { ac_try='test -s conftest.$ac_objext'
    24856   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    24857   (eval $ac_try) 2>&5
    24858   ac_status=$?
    24859   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    24860   (exit $ac_status); }; }; then
    24861   ac_header_compiler=yes
    24862 else
    24863   echo "$as_me: failed program was:" >&5
    24864 sed 's/^/| /' conftest.$ac_ext >&5
    24865 
    24866 ac_header_compiler=no
    24867 fi
    24868 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    24869 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    24870 echo "${ECHO_T}$ac_header_compiler" >&6
    24871 
    24872 # Is the header present?
    24873 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    24874 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    24875 cat >conftest.$ac_ext <<_ACEOF
    24876 /* confdefs.h.  */
    24877 _ACEOF
    24878 cat confdefs.h >>conftest.$ac_ext
    24879 cat >>conftest.$ac_ext <<_ACEOF
    24880 /* end confdefs.h.  */
    24881 #include <$ac_header>
    24882 _ACEOF
    24883 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    24884   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    24885   ac_status=$?
    24886   grep -v '^ *+' conftest.er1 >conftest.err
    24887   rm -f conftest.er1
    24888   cat conftest.err >&5
    24889   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    24890   (exit $ac_status); } >/dev/null; then
    24891   if test -s conftest.err; then
    24892     ac_cpp_err=$ac_c_preproc_warn_flag
    24893     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    24894   else
    24895     ac_cpp_err=
    24896   fi
    24897 else
    24898   ac_cpp_err=yes
    24899 fi
    24900 if test -z "$ac_cpp_err"; then
    24901   ac_header_preproc=yes
    24902 else
    24903   echo "$as_me: failed program was:" >&5
    24904 sed 's/^/| /' conftest.$ac_ext >&5
    24905 
    24906   ac_header_preproc=no
    24907 fi
    24908 rm -f conftest.err conftest.$ac_ext
    24909 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    24910 echo "${ECHO_T}$ac_header_preproc" >&6
    24911 
    24912 # So?  What about this header?
    24913 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    24914   yes:no: )
    24915     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    24916 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    24917     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    24918 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    24919     ac_header_preproc=yes
    24920     ;;
    24921   no:yes:* )
    24922     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    24923 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    24924     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    24925 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    24926     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    24927 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    24928     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    24929 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    24930     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    24931 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    24932     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    24933 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    24934     (
    24935       cat <<\_ASBOX
    24936 ## ------------------------------------ ##
    24937 ## Report this to cbc@lists.coin-or.org ##
    24938 ## ------------------------------------ ##
    24939 _ASBOX
    24940     ) |
    24941       sed "s/^/$as_me: WARNING:     /" >&2
    24942     ;;
    24943 esac
    24944 echo "$as_me:$LINENO: checking for $ac_header" >&5
    24945 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    24946 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    24947   echo $ECHO_N "(cached) $ECHO_C" >&6
    24948 else
    24949   eval "$as_ac_Header=\$ac_header_preproc"
    24950 fi
    24951 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    24952 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    24953 
    24954 fi
    24955 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    24956   cat >>confdefs.h <<_ACEOF
    24957 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    24958 _ACEOF
    24959  coin_has_zlib=yes
    24960 fi
    24961 
    24962 done
    24963 
    24964 
    24965 
    24966   if test $coin_has_zlib = yes; then
    24967     echo "$as_me:$LINENO: checking for gzopen in -lz" >&5
    24968 echo $ECHO_N "checking for gzopen in -lz... $ECHO_C" >&6
    24969 if test "${ac_cv_lib_z_gzopen+set}" = set; then
    24970   echo $ECHO_N "(cached) $ECHO_C" >&6
    24971 else
    24972   ac_check_lib_save_LIBS=$LIBS
    24973 LIBS="-lz  $LIBS"
    24974 cat >conftest.$ac_ext <<_ACEOF
    24975 /* confdefs.h.  */
    24976 _ACEOF
    24977 cat confdefs.h >>conftest.$ac_ext
    24978 cat >>conftest.$ac_ext <<_ACEOF
    24979 /* end confdefs.h.  */
    24980 
    24981 /* Override any gcc2 internal prototype to avoid an error.  */
    24982 #ifdef __cplusplus
    24983 extern "C"
    24984 #endif
    24985 /* We use char because int might match the return type of a gcc2
    24986    builtin and then its argument prototype would still apply.  */
    24987 char gzopen ();
    24988 int
    24989 main ()
    24990 {
    24991 gzopen ();
    24992   ;
    24993   return 0;
    24994 }
    24995 _ACEOF
    24996 rm -f conftest.$ac_objext conftest$ac_exeext
    24997 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    24998   (eval $ac_link) 2>conftest.er1
    24999   ac_status=$?
    25000   grep -v '^ *+' conftest.er1 >conftest.err
    25001   rm -f conftest.er1
    25002   cat conftest.err >&5
    25003   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25004   (exit $ac_status); } &&
    25005          { ac_try='test -z "$ac_c_werror_flag"
    25006                          || test ! -s conftest.err'
    25007   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25008   (eval $ac_try) 2>&5
    25009   ac_status=$?
    25010   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25011   (exit $ac_status); }; } &&
    25012          { ac_try='test -s conftest$ac_exeext'
    25013   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25014   (eval $ac_try) 2>&5
    25015   ac_status=$?
    25016   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25017   (exit $ac_status); }; }; then
    25018   ac_cv_lib_z_gzopen=yes
    25019 else
    25020   echo "$as_me: failed program was:" >&5
    25021 sed 's/^/| /' conftest.$ac_ext >&5
    25022 
    25023 ac_cv_lib_z_gzopen=no
    25024 fi
    25025 rm -f conftest.err conftest.$ac_objext \
    25026       conftest$ac_exeext conftest.$ac_ext
    25027 LIBS=$ac_check_lib_save_LIBS
    25028 fi
    25029 echo "$as_me:$LINENO: result: $ac_cv_lib_z_gzopen" >&5
    25030 echo "${ECHO_T}$ac_cv_lib_z_gzopen" >&6
    25031 if test $ac_cv_lib_z_gzopen = yes; then
    25032 
    25033                  :
    25034 else
    25035   coin_has_zlib=no
    25036 fi
    25037 
    25038   fi
    25039 
    25040   if test $coin_has_zlib = yes; then
    25041 
    25042 cat >>confdefs.h <<\_ACEOF
    25043 #define COIN_HAS_ZLIB 1
    25044 _ACEOF
    25045 
    25046   fi
    25047 fi
    25048 
    25049 
    25050 
    25051 if test x$coin_has_zlib = xyes; then
    25052   COIN_HAS_ZLIB_TRUE=
    25053   COIN_HAS_ZLIB_FALSE='#'
    25054 else
    25055   COIN_HAS_ZLIB_TRUE='#'
    25056   COIN_HAS_ZLIB_FALSE=
    25057 fi
    2505824785
    2505924786
     
    3054230269Usually this means the macro was only invoked conditionally." >&5
    3054330270echo "$as_me: error: conditional \"COIN_HAS_MIPLIB3\" was never defined.
    30544 Usually this means the macro was only invoked conditionally." >&2;}
    30545    { (exit 1); exit 1; }; }
    30546 fi
    30547 if test -z "${COIN_HAS_ZLIB_TRUE}" && test -z "${COIN_HAS_ZLIB_FALSE}"; then
    30548   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ZLIB\" was never defined.
    30549 Usually this means the macro was only invoked conditionally." >&5
    30550 echo "$as_me: error: conditional \"COIN_HAS_ZLIB\" was never defined.
    3055130271Usually this means the macro was only invoked conditionally." >&2;}
    3055230272   { (exit 1); exit 1; }; }
     
    3147431194s,@COIN_HAS_MIPLIB3_TRUE@,$COIN_HAS_MIPLIB3_TRUE,;t t
    3147531195s,@COIN_HAS_MIPLIB3_FALSE@,$COIN_HAS_MIPLIB3_FALSE,;t t
    31476 s,@COIN_HAS_ZLIB_TRUE@,$COIN_HAS_ZLIB_TRUE,;t t
    31477 s,@COIN_HAS_ZLIB_FALSE@,$COIN_HAS_ZLIB_FALSE,;t t
    3147831196s,@DYLP_LIBS@,$DYLP_LIBS,;t t
    3147931197s,@DYLP_CFLAGS@,$DYLP_CFLAGS,;t t
  • trunk/Cbc/configure.ac

    r1660 r1668  
    8282AC_COIN_CHECK_CXX_CHEADER(float)
    8383AC_COIN_CHECK_CXX_CHEADER(ieeefp)
    84 
    85 # And this is necessary if we're going to read gzip'd files. We just need the
    86 # symbol; no need to link in the library.
    87 
    88 AC_COIN_CHECK_GNU_ZLIB()
    8984
    9085#############################################################################
  • trunk/Cbc/src/Makefile.in

    r1665 r1668  
    278278COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    279279COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
    280 COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
    281 COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
    282280COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    283281COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
  • trunk/Cbc/src/OsiCbc/Makefile.in

    r1660 r1668  
    197197COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    198198COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
    199 COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
    200 COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
    201199COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    202200COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
  • trunk/Cbc/src/config.h.in

    r1660 r1668  
    7474#undef COIN_HAS_XPR
    7575
    76 /* Define to 1 if zlib is available */
    77 #undef COIN_HAS_ZLIB
    78 
    7976/* Define to 1 if you have the <cfloat> header file. */
    8077#undef HAVE_CFLOAT
     
    128125#undef HAVE_UNISTD_H
    129126
    130 /* Define to 1 if you have the <zlib.h> header file. */
    131 #undef HAVE_ZLIB_H
    132 
    133127/* define to the name of the default solver interface class, e.g.,
    134128   OsiClpSolverInterface */
  • trunk/Cbc/src/unitTest.cpp

    r1640 r1668  
    1616
    1717#include "CoinHelperFunctions.hpp"
     18#include "CoinFileIO.hpp"
    1819
    1920#ifdef COIN_HAS_CBC
     
    5859        fclose(fp);
    5960    }
    60 #ifdef COIN_USE_ZLIB
    61     test1 += ".gz";
    62     fp = fopen(test1.c_str(), "r");
    63     if (fp) {
     61    if (!doTest && CoinFileInput::haveGzipSupport())
     62    {
     63      test1 += ".gz";
     64      fp = fopen(test1.c_str(), "r");
     65      if (fp) {
    6466        doTest = true;
    6567        fclose(fp);
    66     }
    67 #endif
     68      }
     69    }
    6870    if (!doTest)
    6971        return;
  • trunk/Cbc/src/unitTestClp.cpp

    r1645 r1668  
    1111
    1212#include "CoinTime.hpp"
     13#include "CoinFileIO.hpp"
    1314#include "CbcModel.hpp"
    1415#include "CbcHeuristic.hpp"
     
    6263        return true;
    6364    }
    64 #ifdef COIN_HAS_ZLIB
    65     if (CbcTestFile(fname + ".gz")) {
    66         return true;
    67     }
    68     if (CbcTestFile(fname + ".mps.gz")) {
     65    if (CoinFileInput::haveGzipSupport()) {
     66      if (CbcTestFile(fname + ".gz")) {
     67        return true;
     68      }
     69      if (CbcTestFile(fname + ".mps.gz")) {
    6970        fname += ".mps";
    7071        return true;
    71     }
    72     if (CbcTestFile(fname + ".MPS.gz")) {
     72      }
     73      if (CbcTestFile(fname + ".MPS.gz")) {
    7374        fname += ".MPS";
    7475        return true;
    75     }
    76     if (CbcTestFile(fname + ".MPS.GZ")) {
     76      }
     77      if (CbcTestFile(fname + ".MPS.GZ")) {
    7778        fname += ".MPS";
    7879        return true;
    79     }
    80 #endif
     80      }
     81    }
     82    if (CoinFileInput::haveBzip2Support()) {
     83      if (CbcTestFile(fname + ".bz2")) {
     84        return true;
     85      }
     86      if (CbcTestFile(fname + ".mps.bz2")) {
     87        fname += ".mps";
     88        return true;
     89      }
     90      if (CbcTestFile(fname + ".MPS.bz2")) {
     91        fname += ".MPS";
     92        return true;
     93      }
     94      if (CbcTestFile(fname + ".MPS.BZ2")) {
     95        fname += ".MPS";
     96        return true;
     97      }
     98    }
    8199    return false;
    82100}
  • trunk/Cbc/test/Makefile.in

    r1665 r1668  
    179179COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    180180COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
    181 COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
    182 COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
    183181COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    184182COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
Note: See TracChangeset for help on using the changeset viewer.